Trouble running games on 5.50 Prome-4

Discussion in 'PSP - Hacking & Homebrew' started by DSPanther, Feb 25, 2012.

  1. DSPanther
    OP

    DSPanther Member

    Newcomer
    26
    0
    Sep 17, 2009
    PSP 2000 with 5.50 Prome-4 and a lot of games don't start at all. I've tried starting games like Tactics Ogre, Lunar, Phantasy Star P 2, TITS and nothing worked. Games like FFCC and Mana Khemia does work however.

    With Prome-4 should I get untouched games even if they are newer ones or do they need to be patched?

    Upgrade to newer firmware perhaps? I'd rather not..
     
  2. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    Update to 6.60 PRO B10 and use the cIPL flasher.
     
  3. jimmyemunoz

    jimmyemunoz GBAtemp Advanced Maniac

    Member
    1,958
    226
    Feb 23, 2009
    United States
    Louisiana
    I remember when I didn't want to upgrade because it was common opinion that Prome-4 was the best. When I did update to 6.39 Pro. I said to myself, why didn't I do this earlier...all games work without isotool and other crap? Do the upgrade and you wont regret it. :) Don't even bother with the CIPL Flasher.
     
  4. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,103
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Prome's author moved to PRO. Prome died, PRO is in development.

    Obvious choice is obvious.